Kerbal Space Program - Bug #3629

setting Anti-Aliasing to off sets it to 1
11/30/2014 08:20 PM - BloodyRain2k

Status: Not a Bug Start date: 11/30/2014
Severity: Normal % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 0.25 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

I have recently changed some graphic settings and have AA set to be off, yet the game insists on saving that setting as 1 in the .cfg
which is not off.

You won't see any difference from it being really off (0) though if you play normally over DirectX.
But given the font loading bug at startup and me wanting to play fullscreen did someone recommend me to use -force-opengl which
made that work fine together with -popupwindow, but in turn it also makes 1x AA visible which is was KSP implies to be "off".

So I'd suggest to change the settings menu to set AA to 0 if it's set to "off" and depending on whenever there's interest for it add an
additional setting to allow setting it to 1x AA but given that only works for OpenGL it might be just Unity being weird or whatever.

History

#1 - 12/03/2014 09:47 AM - iPeer
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

1x AA is generally considered to be "off" as no additional processing of the image is done before it is rendered.

#2 - 12/03/2014 06:46 PM - BloodyRain2k

Then please explain to me why that "generally considered as 'off" setting still applies AA in OpenGL.

http://i.imgur.com/ehmc6gdJ.png

Because I'll need to prove it anyways, this is the difference between OpenGL and DirectX on the should-be-off setting for AA, the edges still having
AA are from the OpenGL screenshot, the others obviously from the DirectX one.

It's a small difference but it does exist.
